petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPUnwindPreconditioner

Unwinds the preconditioning in the solution. That is, takes solution to the preconditioned problem and gets the solution to the original problem from it.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPUnwindPreconditioner(KSP ksp,Vec vsoln,Vec vt1)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| vsoln | - solution vector
| vt1 | - temporary work vector

### Output Parameter

vsoln -contains solution on output

### Notes

If preconditioning either symmetrically or on the right, this routine solves for the correction to the unpreconditioned problem. If preconditioning on the left, nothing is done.

### Keywords

KSP, unwind, preconditioner

### See Also

KSPSetPCSide()

Level:advanced
Location:src/ksp/ksp/interface/itres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages